> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-mac-client-guide/v20/using-parallels-client-for-mac/using-a-ras-connection.md).

# Using a RAS Connection

To connect to Parallels RAS, select a connection in the drop-down menu. You can have multiple active connections at the same time (both Remote Application Server and standard RDP). To switch between active connections in Parallels Client, select a connection you want to switch to.

{% hint style="info" %}
**Note:** If your domain password has expired or will expire soon, you will see a notification when you connect to Parallels RAS. You can change your domain password at this time or (if it's still valid) you can change it later.
{% endhint %}

On successful connect, the **Grant access to Home** folder dialog may (or may not, depending on the server side configuration) open automatically. If you see the dialog, you can use it to specify which folders on the local disk drive should be available to remote applications. For more information about configuring local folders, see the description of the **Disk drives** option in **Configuring a RAS Connection** > **Local Resources**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-mac-client-guide/v20/using-parallels-client-for-mac/using-a-ras-connection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
